# Function pipeDataSource

- pipeDataSource<Source, Target>(
  dataSource: BaseDataSource<Source>,
  operation: OperatorFunction<Source, any>,
  ...operations: (PipeDataSourceMetadata | OperatorFunction<any, any>)[],
  ): PipeDataSource<Source, Target>

  #### Type Parameters

  - Source
  - Target

  #### Parameters

  - dataSource: BaseDataSource<Source>
  - operation: OperatorFunction<Source, any>
  - ...operations: (PipeDataSourceMetadata | OperatorFunction<any, any>)[]

  #### Returns PipeDataSource<Source, Target>

  - Defined in packages/angular/data-source/src/lib/pipe.data-source.ts:146